using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Deployment.Application;
using System.Threading;
using System.Globalization;

namespace ClickOnceDownloadOnDemand
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            Properties.Settings settings = new Properties.Settings();
            if (ApplicationDeployment.CurrentDeployment.IsFirstRun)
            {
                if (settings.UICulture == "fr")
                    ApplicationDeployment.CurrentDeployment.DownloadFileGroup("fr");
                else if (settings.UICulture == "es")
                    ApplicationDeployment.CurrentDeployment.DownloadFileGroup("es");
            }
            Thread.CurrentThread.CurrentCulture = CultureInfo.CreateSpecificCulture(settings.UICulture);
            Thread.CurrentThread.CurrentUICulture = Thread.CurrentThread.CurrentCulture;

            InitializeComponent();
            frenchToolStripMenuItem.Checked = ApplicationDeployment.CurrentDeployment.IsFileGroupDownloaded("fr");
            spanishToolStripMenuItem.Checked = ApplicationDeployment.CurrentDeployment.IsFileGroupDownloaded("es");
        }

        private void englishToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Properties.Settings settings = new Properties.Settings();
            settings.UICulture = "en";
            settings.Save();
        }

        private void frenchToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if (!ApplicationDeployment.CurrentDeployment.IsFileGroupDownloaded("fr"))
                ApplicationDeployment.CurrentDeployment.DownloadFileGroup("fr");

            Properties.Settings settings = new Properties.Settings();
            settings.UICulture = "fr";
            settings.Save();
        }

        private void spanishToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if (!ApplicationDeployment.CurrentDeployment.IsFileGroupDownloaded("es"))
                ApplicationDeployment.CurrentDeployment.DownloadFileGroup("es");

            Properties.Settings settings = new Properties.Settings();
            settings.UICulture = "es";
            settings.Save();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            Close();
        }
    }
}