﻿// File           : Form1.cs 
// Original Author: Guy Smith-Ferrier
// Date Created   : September 2005
// Notes          : This file is part of the downloadable source code for .NET Internationalization, by
//                  Guy Smith-Ferrier, published by Addison-Wesley. See http://www.dotneti18n.com for details.
// Disclaimer     : No warranty is provided. Use at your own risk.
// Modification   : You are free to modify this code providing that this block of comments is not altered
//                  and is placed before any code.
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Threading;
using System.Globalization;

namespace TableLayoutPanelDemo
{
	public partial class Form1 : Form
	{
		public Form1()
		{
			InitializeComponent();
		}

		private void button1_Click(object sender, EventArgs e)
		{
			Form2 form = new Form2();
            if (checkBox1.Checked)
                form.RightToLeft = RightToLeft.Yes;
            if (checkBox2.Checked)
                form.RightToLeftLayout = true;
			form.Show();
		}

		private void radioButton1_CheckedChanged(object sender, EventArgs e)
		{
			Thread.CurrentThread.CurrentUICulture = new CultureInfo("en-US");
		}

		private void radioButton2_CheckedChanged(object sender, EventArgs e)
		{
			Thread.CurrentThread.CurrentUICulture = new CultureInfo("de-DE");
		}

        private void radioButton3_CheckedChanged(object sender, EventArgs e)
        {
            Thread.CurrentThread.CurrentUICulture = new CultureInfo("ar");
        }

        private void radioButton4_CheckedChanged(object sender, EventArgs e)
        {
            Thread.CurrentThread.CurrentUICulture = new CultureInfo("fr-FR");
        }

        private void radioButton5_CheckedChanged(object sender, EventArgs e)
        {
            Thread.CurrentThread.CurrentUICulture = new CultureInfo("es-ES");
        }
	}
}